#!/bin/bash
#
# Copyright (c) Semarchy.  All rights reserved.
#
# PRODUCT Semarchy xDI Runtime
#   
#	This script allows to execute the specified delivery
#
#	Note:
#	To have an overview of the possible parameters, use the -usage parameter
#	
#	Examples:
#	startdelivery.sh -usage
#	startdelivery.sh -name "mydeliv"
#

sp0=$( cd "$(dirname "${BASH_SOURCE[0]}")" ; pwd -P )

. "$sp0/initvariables.sh"

if [ "$STAMBIA_JAVA_HOME" = "" ]; then
        if [ "$JAVA_HOME" = "" ]; then
	        java  "${XDI_RUNTIME_VM_PROPERTIES[@]}" $XDI_RUNTIME_OPTS "$XDI_RUNTIME_SYSTEM_CLASSLOADER" "$XDI_RUNTIME_INIT_CLASSPATH_OPTION" "$XDI_RUNTIME_CORE_CLASSPATH_OPTION" "$XDI_RUNTIME_MODULES_PATH_OPTION" -classpath "$XDI_RUNTIME_CLASSPATH" com.indy.engine.launcher.MainLauncher -mainclass com.indy.engine.StartDelivery -conf "$XDI_RUNTIME_CONF_FILE_LOCATION" "$@"
        else
                "$JAVA_HOME/bin/java" "${XDI_RUNTIME_VM_PROPERTIES[@]}" $XDI_RUNTIME_OPTS "$XDI_RUNTIME_SYSTEM_CLASSLOADER" "$XDI_RUNTIME_INIT_CLASSPATH_OPTION" "$XDI_RUNTIME_CORE_CLASSPATH_OPTION" "$XDI_RUNTIME_MODULES_PATH_OPTION" -classpath "$XDI_RUNTIME_CLASSPATH" com.indy.engine.launcher.MainLauncher -mainclass com.indy.engine.StartDelivery -conf "$XDI_RUNTIME_CONF_FILE_LOCATION" "$@"
        fi
else
	"$STAMBIA_JAVA_HOME/bin/java" "${XDI_RUNTIME_VM_PROPERTIES[@]}" $XDI_RUNTIME_OPTS "$XDI_RUNTIME_SYSTEM_CLASSLOADER" "$XDI_RUNTIME_INIT_CLASSPATH_OPTION" "$XDI_RUNTIME_CORE_CLASSPATH_OPTION" "$XDI_RUNTIME_MODULES_PATH_OPTION" -classpath "$XDI_RUNTIME_CLASSPATH" com.indy.engine.launcher.MainLauncher -mainclass com.indy.engine.StartDelivery -conf "$XDI_RUNTIME_CONF_FILE_LOCATION" "$@"
fi

