#!/bin/bash

# use -usage parameter to know the syntax of this command

# XDI_RUNTIME=/home/sdi/sdi

sp0=$( cd "$(dirname "${BASH_SOURCE[0]}")" ; pwd -P )

. "$sp0/initvariables.sh"

if [ "$STAMBIA_JAVA_HOME" = "" ]; then
        if [ "$JAVA_HOME" = "" ]; then
	        java -Djavax.xml.xpath.XPathFactory:http://java.sun.com/jaxp/xpath/dom=net.sf.saxon.xpath.XPathFactoryImpl -Dxpath.function.setStagingpoint.supported=true -Djava.util.Arrays.useLegacyMergeSort=true -Xms256m -Xmx512m -classpath "$XDI_RUNTIME_BUILD_CLASSPATH" com.semarchy.xdi.designer.generation.ant.Launcher  -f build.ant "$@"
        else
                "$JAVA_HOME/bin/java" -Djavax.xml.xpath.XPathFactory:http://java.sun.com/jaxp/xpath/dom=net.sf.saxon.xpath.XPathFactoryImpl -Dxpath.function.setStagingpoint.supported=true -Xms256m -Xmx512m -classpath "$XDI_RUNTIME_BUILD_CLASSPATH" com.semarchy.xdi.designer.generation.ant.Launcher  -f build.ant "$@"
        fi
else
	"$STAMBIA_JAVA_HOME/bin/java" -Djavax.xml.xpath.XPathFactory:http://java.sun.com/jaxp/xpath/dom=net.sf.saxon.xpath.XPathFactoryImpl -Dxpath.function.setStagingpoint.supported=true -Xms256m -Xmx512m -classpath "$XDI_RUNTIME_BUILD_CLASSPATH" com.semarchy.xdi.designer.generation.ant.Launcher  -f build.ant "$@"
fi



